Bug 1065542 - Review Request: voro++ - library for 3D computations of the Voronoi tessellation
Review Request: voro++ - library for 3D computations of the Voronoi tessellation
Status: CLOSED DUPLICATE of bug 1110945
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-Legal 753577
  Show dependency treegraph
 
Reported: 2014-02-14 16:56 EST by Alexey Vasyukov
Modified: 2015-07-21 08:48 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-18 16:52:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Alexey Vasyukov 2014-02-14 16:56:53 EST
Spec URL: https://raw.github.com/avasyukov/fedora-packages/master/voro++/voro++.spec
SRPM URL: https://dl.dropboxusercontent.com/u/4532412/RPMS/voro%2B%2B-0.4.6-1.fc19.src.rpm

Description: 
Voro++ is a software library for carrying out three-dimensional computations
of the Voronoi tessellation. A distinguishing feature of the Voro++ library
is that it carries out cell-based calculations, computing the Voronoi cell for
each particle individually. It is particularly well-suited for applications
that rely on cell-based statistics, where features of Voronoi cells (e.g.
volume, centroid, number of faces) can be used to analyze a system of particles.

Fedora Account System Username: anganar


Hi folks,

I'm working on Gmsh package (https://bugzilla.redhat.com/show_bug.cgi?id=753577). I'm packaging libraries now that were bundled with gmsh. voro++ package is a part of this work.

This is my first package, so I need a sponsor.
Comment 1 Alexey Vasyukov 2014-02-14 16:59:48 EST
I have a special question for Fedora Legal. voro++ license seems to be free (see full text below). However, I'm not sure what I should set in spec file for such a custom license. Are there any recommendations / guidelines on how to handle it?

======================

Voro++ Copyright (c) 2008, The Regents of the University of California, through
Lawrence Berkeley National Laboratory (subject to receipt of any required
approvals from the U.S. Dept. of Energy). All rights reserved.

Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions are met: 

(1) Redistributions of source code must retain the above copyright notice, this
list of conditions and the following disclaimer. 

(2) Redistributions in binary form must reproduce the above copyright notice,
this list of conditions and the following disclaimer in the documentation
and/or other materials provided with the distribution. 

(3) Neither the name of the University of California, Lawrence Berkeley
National Laboratory, U.S. Dept. of Energy nor the names of its contributors may
be used to endorse or promote products derived from this software without
specific prior written permission. 

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND
ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR
ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
(INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON
ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
(INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE. 

You are under no obligation whatsoever to provide any bug fixes, patches, or
upgrades to the features, functionality or performance of the source code
("Enhancements") to anyone; however, if you choose to make your Enhancements
available either publicly, or directly to Lawrence Berkeley National
Laboratory, without imposing a separate written license agreement for such
Enhancements, then you hereby grant the following license: a  non-exclusive,
royalty-free perpetual license to install, use, modify, prepare derivative
works, incorporate into other computer software, distribute, and sublicense
such enhancements or derivative works thereof, in binary and source code form.
Comment 2 Ralf Corsepius 2014-04-16 04:53:27 EDT
(In reply to Alexey Vasyukov from comment #1)
> I have a special question for Fedora Legal. voro++ license seems to be free
> (see full text below). However, I'm not sure what I should set in spec file
> for such a custom license.
From what I see, this is
https://fedoraproject.org/wiki/Licensing:LBNLBSD?rd=Licensing/LBNLBSD

> Are there any recommendations / guidelines on how
> to handle it?
C.f. https://fedoraproject.org/wiki/Licensing:Main?rd=Licensing
Comment 3 Sandro Mani 2014-06-14 08:01:58 EDT
FYI, here is the updated package I'm currently using for building gmsh.

Spec URL: http://smani.fedorapeople.org/review/voro++.spec
SRPM URL: http://smani.fedorapeople.org/review/voro++-0.4.6-2.fc21.src.rpm

%changelog
* Sat Jun 14 2014 Sandro Mani <manisandro@gmail.com> - 0.4.6-2
- Spec cleanup
- Add voro++_virtual-destructor.patch
Comment 4 Sandro Mani 2014-06-18 14:20:55 EDT
@Alexey: Since the other reviews of the other gmsh dependencies are moving along nicely, mind if I take over this one as well?
Comment 5 Alexey Vasyukov 2014-06-18 16:47:43 EDT
> @Alexey: Since the other reviews of the other gmsh 
> dependencies are moving along nicely, mind if I take over this one as well?

Ok. It will be reasonable.
Comment 6 Sandro Mani 2014-06-18 16:52:09 EDT

*** This bug has been marked as a duplicate of bug 1110945 ***

Note You need to log in before you can comment on or make changes to this bug.